%define oname	tiled-qt

%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

# don't add provides for plugin .so
%define __provides_exclude_from	%{_libdir}/%{name}/plugins/.*\\.so

Name:		tiled
Version:	0.18.1
Release:	%mkrel 1
Summary:	General purpose tile map editor
Group:		Graphics/Editors and Converters
License:	GPLv2+ and BSD
URL:		http://www.mapeditor.org/
Source0:	https://github.com/bjorn/tiled/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	python-devel
BuildRequires:	qt5-devel
BuildRequires:	qttools5
Provides:	%{oname} = %{version}-%{release}

%description
Tiled is a general purpose tile map editor.

It's built to be easy to use, yet flexible enough to work
with varying game engines, whether your game is an RPG,
platformer or Breakout clone.

%package -n %{libname}
Summary:	The shared libraries for %{name}
Group:		System/Libraries
License:	BSD

%description -n %{libname}
This package contains the shared libraries for %{name}.

#we don't provide a -devel pkg, yet
%if 0
%package -n %{devname}
Summary:	The development files and headers for %{name}
Group:		Development/Other
License:	BSD
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.
%endif

%prep
%setup -q
%autopatch -p1

# Remove copy of zlib
rm -rf src/zlib

%build
%qmake_qt5 PREFIX=%{_prefix} LIBDIR=%{_libdir} RPATH=no
%make

%install
%make_install INSTALL_ROOT=%{buildroot}

# examples
cp -a examples %{buildroot}%{_datadir}/%{name}

#we don't provide a -devel pkg, yet
rm -rf %{buildroot}%{_libdir}/lib%{name}.so

%files
%doc AUTHORS NEWS.md README.md
%license LICENSE.BSD LICENSE.GPL
%{_bindir}/automappingconverter
%{_bindir}/terraingenerator
%{_bindir}/tiled
%{_bindir}/tmxviewer
%{_bindir}/tmxrasterizer
%{_mandir}/man1/automappingconverter.1.*
%{_mandir}/man1/tiled.1.*
%{_mandir}/man1/tmxrasterizer.1.*
%{_mandir}/man1/tmxviewer.1.*
%{_libdir}/tiled/
%{_datadir}/icons/hicolor/*/*/*%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/tiled/

%files -n %{libname}
%license LICENSE.BSD
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

#we don't provide a -devel pkg, yet
%if 0
%files -n %{devname}
%{_libdir}/lib%{name}.so
%endif


%changelog
* Fri Jan 27 2017 akien <akien> 0.18.1-1.mga6
+ Revision: 1083648
- Version 0.18.1

* Mon Nov 28 2016 akien <akien> 0.17.2-1.mga6
+ Revision: 1070689
- Version 0.17.2

* Sat Nov 05 2016 akien <akien> 0.17.1-1.mga6
+ Revision: 1065437
- Version 0.17.1

* Sat May 21 2016 wally <wally> 0.16.1-1.mga6
+ Revision: 1017353
- new version 0.16.1

* Sun Apr 10 2016 wally <wally> 0.16.0-1.mga6
+ Revision: 1000017
- new version 0.16.0

* Sun Mar 13 2016 wally <wally> 0.15.2-1.mga6
+ Revision: 990303
- new version 0.15.2
- enable python plugin

* Wed Feb 17 2016 umeabot <umeabot> 0.14.2-2.mga6
+ Revision: 963058
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 wally <wally> 0.14.2-1.mga6
+ Revision: 891758
- new version 0.14.2

* Tue Sep 22 2015 wally <wally> 0.14.0-1.mga6
+ Revision: 882203
- new version 0.14.0

* Wed Sep 09 2015 wally <wally> 0.13.1-1.mga6
+ Revision: 875285
- new version 0.13.1

* Thu Aug 13 2015 wally <wally> 0.13.0-1.mga6
+ Revision: 864470
- new version 0.13.0
- switch to Qt5

* Sun Jun 21 2015 wally <wally> 0.12.3-1.mga6
+ Revision: 837905
- new version 0.12.3

* Sat Jun 20 2015 wally <wally> 0.12.2-1.mga6
+ Revision: 836450
- new version 0.12.2

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 742723
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 697486
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-2.mga4
+ Revision: 531157
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 wally <wally> 0.9.1-1.mga4
+ Revision: 462311
- new version 0.9.1

* Thu May 23 2013 wally <wally> 0.9.0-1.mga4
+ Revision: 424996
- new version 0.9.0
- drop upstreamed rpath patch
- use .desktop file from upstream

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 384576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Wed Oct 17 2012 wally <wally> 0.8.1-1.mga3
+ Revision: 307741
- import tiled based on .spec from Fedora

